Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hi Everyone ! :) I'M Trying To Test The "One Click Reproducibility" Feature But It Keeps Failing. My Question Is On A High-Level: Is It Normal That This Happen, If Yes, What Are The Common Reasons That Make An Experiment Not One-Click Reproducible ?

Hi everyone ! :)
I'm trying to test the "one click reproducibility" feature but it keeps failing. My question is on a high-level: is it normal that this happen, if yes, what are the common reasons that make an experiment not one-click reproducible ?

  
  
Posted one year ago
Votes Newest

Answers 9


I think you also might find this video useful:
None

  
  
Posted one year ago

I have a script. Before running it, I set up a venv, install the libraries from requirements.txt, then launch the script
I then try to relaunch the experiment from the ui but it keeps failing

  
  
Posted one year ago

Would you have a tutorial to suggest, to help me test the one click reproducibility ?

  
  
Posted one year ago

Hi @<1546303254386708480:profile|DisgustedBear75> , there are a few reasons remote execution can fail. Can you please describe what you were trying to do and please add logs?

  
  
Posted one year ago

Thanks a lot John ! Let see if this works better with docker

  
  
Posted one year ago

I think this is what you're looking for

  
  
Posted one year ago

From the looks of it, it's failing to recreate the environment - something about numpy. Are you trying to run on two different OS's or different pythons? My best suggestion would be to try running inside docker

  
  
Posted one year ago

logs:

Successfully built numpy
Installing collected packages: numpy
Successfully installed numpy-1.23.5
WARNING: The directory '/Users/michaelresplandy/Library/Caches/pip' or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting matplotlib==3.5.3
Downloading matplotlib-3.5.3.tar.gz (35.2 MB)

1678725812818 Ordinateur-portable-de-Michael.local:0 DEBUG ERROR: Command errored out with exit status 1:
command: /Users/michaelresplandy/.clearml/venvs-builds/3.8/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/tmp/pip-install-6jinpo49/matplotlib/setup.py'"'"'; file='"'"'/private/tmp/pip-install-6jinpo49/matplotlib/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' egg_info --egg-base /private/tmp/pip-pip-egg-info-8ihcbc5_
cwd: /private/tmp/pip-install-6jinpo49/matplotlib/
Complete output (106 lines):
WARNING: The directory '/Users/michaelresplandy/Library/Caches/pip' or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/michaelresplandy/Library/Caches/pip' or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/michaelresplandy/Library/Caches/pip' or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/michaelresplandy/Library/Caches/pip' or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/michaelresplandy/Library/Caches/pip' or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.

Edit mplsetup.cfg to change the build options; suppress output with --quiet.

BUILDING MATPLOTLIB
      python: yes [3.8.16 (default, Dec  7 2022, 01:27:54)  [Clang 14.0.0
                  (clang-1400.0.29.202)]]
    platform: yes [darwin]
       tests: no  [skipping due to configuration]
      macosx: yes [installing]

running egg_info
creating /private/tmp/pip-pip-egg-info-8ihcbc5_/matplotlib.egg-info
writing /private/tmp/pip-pip-egg-info-8ihcbc5_/matplotlib.egg-info/PKG-INFO
writing dependency_links to /private/tmp/pip-pip-egg-info-8ihcbc5_/matplotlib.egg-info/dependency_links.txt
writing namespace_packages to /private/tmp/pip-pip-egg-info-8ihcbc5_/matplotlib.egg-info/namespace_packages.txt
writing requirements to /private/tmp/pip-pip-egg-info-8ihcbc5_/matplotlib.egg-info/requires.txt
writing top-level names to /private/tmp/pip-pip-egg-info-8ihcbc5_/matplotlib.egg-info/top_level.txt
writing manifest file '/private/tmp/pip-pip-egg-info-8ihcbc5_/matplotlib.egg-info/SOURCES.txt'
/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/__init__.py:85: _DeprecatedInstaller: setuptools.installer and fetch_build_eggs are deprecated. Requirements should be satisfied by a PEP 517 installer. If you are using pip, you can try `pip install --use-pep517`.
  dist.fetch_build_eggs(dist.setup_requires)
/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/dist.py:287: SetuptoolsDeprecationWarning: The namespace_packages parameter is deprecated, consider using implicit namespaces instead (PEP 420). See  [None](https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages) 
  warnings.warn(msg, SetuptoolsDeprecationWarning)
Traceback (most recent call last):
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/__init__.py", line 23, in <module>
    from . import multiarray
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/multiarray.py", line 10, in <module>
    from . import overrides
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/overrides.py", line 6, in <module>
    from numpy.core._multiarray_umath import (
ImportError: dlopen(/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so, 0x0002): tried: '/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/System/Volumes/Preboot/Cryptexes/OS/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so' (no such file), '/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/private/tmp/pip-install-6jinpo49/matplotlib/setup.py", line 273, in <module>
    setup(  # Finally, pass this all along to setuptools to do the heavy lifting.
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/__init__.py", line 108, in setup
    return distutils.core.setup(**attrs)
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/core.py", line 185, in setup
    return run_commands(dist)
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/core.py", line 201, in run_commands
    dist.run_commands()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/dist.py", line 969, in run_commands
    self.run_command(cmd)
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/dist.py", line 1221, in run_command
    super().run_command(command)
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/dist.py", line 988, in run_command
    cmd_obj.run()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/command/egg_info.py", line 318, in run
    self.find_sources()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/command/egg_info.py", line 326, in find_sources
    mm.run()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/command/egg_info.py", line 570, in run
    self.add_defaults()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/command/egg_info.py", line 608, in add_defaults
    sdist.add_defaults(self)
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/command/sdist.py", line 106, in add_defaults
    super().add_defaults()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/command/sdist.py", line 251, in add_defaults
    self._add_defaults_ext()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/command/sdist.py", line 335, in _add_defaults_ext
    build_ext = self.get_finalized_command('build_ext')
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/cmd.py", line 305, in get_finalized_command
    cmd_obj.ensure_finalized()
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/setuptools/_distutils/cmd.py", line 111, in ensure_finalized
    self.finalize_options()
  File "/private/tmp/pip-install-6jinpo49/matplotlib/setup.py", line 78, in finalize_options
    self.distribution.ext_modules[:] = [
  File "/private/tmp/pip-install-6jinpo49/matplotlib/setup.py", line 81, in <listcomp>
    for ext in package.get_extensions()
  File "/private/tmp/pip-install-6jinpo49/matplotlib/setupext.py", line 393, in get_extensions
    add_numpy_flags(ext)
  File "/private/tmp/pip-install-6jinpo49/matplotlib/setupext.py", line 505, in add_numpy_flags
    import numpy as np
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/__init__.py", line 140, in <module>
    from . import core
  File "/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/__init__.py", line 49, in <module>
    raise ImportError(msg)
ImportError:

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

     [None](https://numpy.org/devdocs/user/troubleshooting-importerror.html) 

Please note and check the following:

  * The Python version is: Python3.8 from "/Users/michaelresplandy/.clearml/venvs-builds/3.8/bin/python"
  * The NumPy version is: "1.23.5"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: dlopen(/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so, 0x0002): tried: '/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/System/Volumes/Preboot/Cryptexes/OS/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so' (no such file), '/Users/michaelresplandy/.clearml/venvs-builds/3.8/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-darwin.so' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64'))

----------------------------------------

ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

clearml_agent: ERROR: Could not install task requirements!
Command '['/Users/michaelresplandy/.clearml/venvs-builds/3.8/bin/python', '-m', 'pip', '--disable-pip-version-check', 'install', '-r', '/tmp/cached-reqszju61bc2.txt']' returned non-zero exit status 1.

  
  
Posted one year ago
545 Views
9 Answers
one year ago
one year ago
Tags